/*#include <common.h>*/
#include <command.h>

#include <u-boot/zlib.h>
#include <bzlib.h>

#include <lzma/LzmaTypes.h>
#include <lzma/LzmaDec.h>
#include <lzma/LzmaTools.h>

#include <linux/lzo.h>
#include <malloc.h>

void decompress_lzma(void)
{
	u32 destLen = 0x100000, len;
	u32 destAddr, srcAddr;

	destAddr = CONFIG_LOAD_BASE;
	srcAddr = CONFIG_DELZMA_FUNC_BASE + CONFIG_DELZMA_FUNC_SIZE;
	len = CONFIG_RAM_SIZE_COMP;

	mem_malloc_init(CONFIG_DELZMA_FUNC_BASE+0xf00000, 0xf00000);

	lzmaBuffToBuffDecompress((unsigned char *)destAddr,
			&destLen, (unsigned char *)srcAddr, len);
}


